IPsec-Tools: racoon Denial of Service

2005-03-25T00:00:00
ID GLSA-200503-33
Type gentoo
Reporter Gentoo Foundation
Modified 2005-03-25T00:00:00

Description

Background

IPsec-Tools is a port of KAME's implementation of the IPsec utilities. It contains a collection of network monitoring tools, including racoon, ping, and ping6.

Description

Sebastian Krahmer has reported a potential remote Denial of Service vulnerability in the ISAKMP header parsing code of racoon.

Impact

An attacker could possibly cause a Denial of Service of racoon using a specially crafted ISAKMP packet.

Workaround

There is no known workaround at this time.

Resolution

All IPsec-Tools users should upgrade to the latest version:

 # emerge --sync
 # emerge --ask --oneshot --verbose ">=net-firewall/ipsec-tools-0.4-r1"